=== debian/changelog ===
pcaputils (0.8-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
    Closes: #1086050
  * Take over package by Package Salvage team
  * Short dh
  * Depends: ${misc:Depends}
  * Enable hardening options
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Winfried Angele ]
  * Fix pcapdump output file rotation
    Closes: #691316

  [ A. Costa ]
  * Fix typo in manpage
    Closes: #698035

  [ Andreas Tille ]
  * Propagate hardening linker flags
  * Fix cut-n-pasto

  [ наб ]
  * d/pcaputils.pcapdump@.service: add (Closes: #1039310)
  * d/lintian-overrides: ignore
    + init.d-script-should-always-start-service    (special generator)
    + init.d-script-does-not-source-init-functions (unit not used by systemd)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 29 Oct 2024 14:26:15 +0100

pcaputils (0.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0; closes: #1007645.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 18:02:13 +0000

pcaputils (0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965769)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add missing targets in debian/rules.
    (Closes: #999325)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901211)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Dec 2021 01:22:56 +0100

pcaputils (0.8-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: support DLT_RAW; closes: #511948.
    - Fix typo in pcapdump manpage; closes: #511326.
    - Fix description in pcappick manpage; closes: #521158.
    - Add -T / duration option to limit capture duration (from Stéphane
      Bortzmeyer).
    - Add -R / random option to do uniform probabilistic sampling (from
      Stéphane Bortzmeyer).

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 09 May 2009 19:18:08 -0400

pcaputils (0.7-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: fix broken packet sampling.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 25 May 2008 15:50:18 -0400

pcaputils (0.6-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: add -S / sample option to record a subset of captured packets.
    - Fix parsing of cfgopt values to allow '=' in bpf expressions.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 12 May 2008 12:49:19 -0400

pcaputils (0.5-1) unstable; urgency=low

  * New upstream release.
    - pcapdump: correct packet bytes dumped calculation when using -H.
    - pcapnet: remove inline declarations which caused FTBFS errors with
      gcc-4.3.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 25 Mar 2008 13:54:10 -0400

pcaputils (0.4-1) unstable; urgency=low

  * New upstream release.
    - Add -r / readfile option to pcapdump to read from a saved trace file.
    - Add -H / headersonly option to pcapdump which only writes link,
      network, and transport headers to trace files.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 25 Mar 2008 00:25:21 -0400

pcaputils (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 08 Mar 2008 22:18:03 -0500

pcaputils (0.2-1) unstable; urgency=low

  * New upstream release.
    - portable IP checksum implementation; closes: #469889.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 07 Mar 2008 21:20:59 -0500

pcaputils (0.1-1) unstable; urgency=low

  * New upstream release.
  * Add LSB info to init script; closes: #468368.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 04 Mar 2008 15:49:33 -0500

pcaputils (0.0.2-1) unstable; urgency=low

  * New upstream release:
    - Fix calculation in human_readable_rate()
    - Remove empty #define on big endian arches (FTBFS); closes: #454252.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 26 Nov 2007 17:13:58 -0500

pcaputils (0.0.1-1) unstable; urgency=low

  * Initial release; closes: #449322.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 24 Nov 2007 22:45:46 -0500
