=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"
	$(MAKE) -C doc

override_dh_installinit:
	dh_installinit --name=pcapdump -- start 90 2 3 4 5 . stop 05 0 1 6 .

override_dh_installsystemd:
	mkdir -p debian/pcaputils/usr/lib/systemd/system/
	cp debian/pcaputils.pcapdump@.service debian/pcaputils/usr/lib/systemd/system/pcapdump@.service
	dh_installsystemd --name=pcapdump
